# Generated by Django 3.0.6 on 2020-05-19 22:07

import uuid

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("authentik_policies", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Flow",
            fields=[
                (
                    "flow_uuid",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("name", models.TextField()),
                ("slug", models.SlugField(unique=True)),
                (
                    "designation",
                    models.CharField(
                        choices=[
                            ("authentication", "Authentication"),
                            ("invalidation", "Invalidation"),
                            ("enrollment", "Enrollment"),
                            ("unenrollment", "Unrenollment"),
                            ("recovery", "Recovery"),
                            ("password_change", "Password Change"),
                        ],
                        max_length=100,
                    ),
                ),
                (
                    "pbm",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        related_name="+",
                        to="authentik_policies.PolicyBindingModel",
                    ),
                ),
            ],
            options={
                "verbose_name": "Flow",
                "verbose_name_plural": "Flows",
            },
            bases=("authentik_policies.policybindingmodel",),
        ),
        migrations.CreateModel(
            name="Stage",
            fields=[
                (
                    "stage_uuid",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("name", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="FlowStageBinding",
            fields=[
                (
                    "policybindingmodel_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        to="authentik_policies.PolicyBindingModel",
                    ),
                ),
                (
                    "fsb_uuid",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "re_evaluate_policies",
                    models.BooleanField(
                        default=False,
                        help_text="When this option is enabled, the planner will re-evaluate policies bound to this.",
                    ),
                ),
                ("order", models.IntegerField()),
                (
                    "flow",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="authentik_flows.Flow",
                    ),
                ),
                (
                    "stage",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="authentik_flows.Stage",
                    ),
                ),
            ],
            options={
                "verbose_name": "Flow Stage Binding",
                "verbose_name_plural": "Flow Stage Bindings",
                "ordering": ["order", "flow"],
                "unique_together": {("flow", "stage", "order")},
            },
            bases=("authentik_policies.policybindingmodel",),
        ),
        migrations.AddField(
            model_name="flow",
            name="stages",
            field=models.ManyToManyField(
                blank=True,
                through="authentik_flows.FlowStageBinding",
                to="authentik_flows.Stage",
            ),
        ),
    ]
