# Generated by Django 3.2.6 on 2021-09-09 11:24

from django.apps.registry import Apps
from django.db import migrations
from django.db.backends.base.schema import BaseDatabaseSchemaEditor


def migrate_defaults(apps: Apps, schema_editor: BaseDatabaseSchemaEditor):
    from authentik.providers.proxy.models import JWTAlgorithms, ProxyProvider

    db_alias = schema_editor.connection.alias
    for provider in ProxyProvider.objects.using(db_alias).filter(jwt_alg=JWTAlgorithms.RS256):
        provider.set_oauth_defaults()
        provider.save()


class Migration(migrations.Migration):

    dependencies = [
        ("authentik_providers_proxy", "0013_mode"),
    ]

    operations = [migrations.RunPython(migrate_defaults)]
