---
title: Release 2021.1
slug: "2021.1"
---

## Headline Changes

- New versioning schema (year.month.release)
- Add global email settings

    In previous versions, you had to configure email connection details per [Email Stage](../flow/stages/email/index.md). Now, you can (and should) configure global settings.

    This is documented under the [docker-compose](../installation/docker-compose.md) and [Kubernetes](../installation/kubernetes.md) sections.

- New notification system

    More info can be found under [Notifications](../events/notifications.md) and [Transports](../events/transports.md).

    During the update, some default rules will be created. These rules notify you about policy exceptions, configuration errors and updates.

    These notifications will be sent using a default transport, which uses the global email transport.

## Fixes

- events: create event when system task fails
- helm: fix old reference to static secret_key
- helm: fix s3 secret key and email password not being base64 encoded
- policies: fix logic error for sync mode
- stages/email: fix email task not falling back to use_global_settings

### Fixed in 2021.1.2

- sources/*: Add source to flow context, so source is logged during login
- outposts: Fix outpost not correctly updating on outpost modification
- outposts: Improve drift detection on kubernetes
- providers/saml: Fix metadata not being signed when signature is enabled
- policies: Improve error handling, ensure original stacktrace is preserved

### Fixed in 2021.1.3

- admin: handle FlowNonApplicableException during flow plan
- flows: fix FlowNonApplicableException not being Sentry Ignored
- lifecycle: fix typo causing single process in docker-compose

### Fixed in 2021.1.4

- admin: fix providers not showing SAML Import on empty state
- core: only cache Applications API when no filtering is done
- events: fix email template for notifications
- lib: fix ak_is_group_member checking wrong groups
- providers/saml: add support for WindowsDomainQualifiedName, add docs for NameID
- providers/saml: import SAML Provider with all autogenerated mappings
- providers/saml: make NameID configurable using a Property Mapping
- providers/saml: update default OIDs for default property mappings
- web: fix site-shell being cut off when not full height

## Upgrading

This release does not introduce any new requirements.

### docker-compose

Download the docker-compose file for 2021.1 from [here](https://raw.githubusercontent.com/goauthentik/authentik/version-2021.1/docker-compose.yml). Afterwards, simply run `docker-compose up -d` and then the standard upgrade command of `docker-compose run --rm server migrate`.

### Kubernetes

Run `helm repo update` and then upgrade your release with `helm upgrade authentik authentik/authentik --devel -f values.yaml`.
